#ifndef ELECTRODE_H
#define ELECTRODE_H
#include "main.h"
#include "Driver.h"
#include "Irrigation.h"
extern uint8_t phosphorus_running;    // 除磷运行状态
extern uint8_t polarity_state;        // 极性状态：0-正常，1-反转
extern uint32_t phosphorus_timer;     // 运行时间计数器（分钟）
extern uint32_t PHOSPHORUS_RUN_TIME;     // 运行时间设置
extern uint32_t PHOSPHORUS_STOP_TIME;    // 停止时间设置
extern uint8_t Dephosphorization_state;
void Control_Phosphorus_Polarity(void);
void Phosphorus_Timer_Update(void);
void Set_Phosphorus_Runtime(uint32_t minutes);
void Set_Phosphorus_StopTime(uint32_t minutes);
uint8_t electrode_Init(uint8_t state);
#endif

